/* fichier d'en tête include.h */
#ifndef _INCLUDE_H
#define _INCLUDE_H (1)


#include "config.h"
#include <libintl.h>
#include <locale.h>
#include <stdio.h>
#include <stdlib.h>
#ifdef HAVE_STRINGS_H
#  include <strings.h>
#endif
#ifdef HAVE_STRING_H
#  include <string.h>
#endif
#include <sys/types.h>
#include <sys/timeb.h>
#include <time.h>
#include <sys/stat.h>
#ifndef _MSC_VER
#	include <unistd.h>
#	include <pwd.h>
#endif//_MSC_VER
#include <fcntl.h>
#include <signal.h>
#include <ctype.h>
#include <errno.h>
#include <math.h>

#define G_BROKEN_FILENAMES 1
#include <gtk/gtktextview.h>
#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>
#include <glib/gstdio.h>
#include <gdk-pixbuf/gdk-pixdata.h>

/* Define gettext functions */
#ifdef ENABLE_NLS
#  include <libintl.h>
#  define _(String) gettext(String)
#  ifdef gettext_noop
#    define N_(String) gettext_noop(String)
#  else
#    define N_(String) (String)
#  endif /* gettext_noop */
#else
#  define _(String) (String)
#  define N_(String) (String)
#  define textdomain(String) (String)
#  define gettext(String) (String)
#  define dgettext(Domain,String) (String)
#  define dcgettext(Domain,String,Type) (String)
#  define bindtextdomain(Domain,Directory) (Domain) 
#endif /* ENABLE_NLS */

/* The following lines revert back to FPRINTF on Windows Systems(LIBINTL_FPRINTF seems BUGGY) */
#ifdef _WIN32
# undef fprintf
#endif

/* g_fopen returns an incompatible pointer on windows with MSVC. This is a fix*/
#ifdef _MSC_VER
#undef g_fopen
#define g_fopen fopen
#endif

#endif /* _INCLUDE_H */
